<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: edit.currency.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: редактирование валюты
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../../../.." );
define( "ENGINE_DIR", "../../../.." );
require_once( ENGINE_DIR."/ajax/board/admin/OptAjax.php" );

//-------------------------------------------------====
//	Само сохранение и вывод данных
//-------------------------------------------------====

$id = intval( $_REQUEST['id'] );
if( $id )
	{
		if( $Board->DB['banners'][ $id ] )
			{
				if( isset( $_POST['submit'] ) )
					{
						$position = intval( $_POST['sort'] );
						$Options['code'] = stripslashes( CharsetConvert( $_POST['code'] ) );
						
						if( !$Options['code'] ) die( "<span style=\"color: #F00;\">Введите код баннера</span>" );
						$Options = $db->safesql( $Board->CompileOpt( $Options ) );
						
						$db->query( "UPDATE ".PREFIX."_board_options SET `options`='{$Options}',`sort`='{$position}' WHERE `id`='{$id}' LIMIT 1" );
						$Board->CleareAllCache();
						
						echo ThisClose();
						echo "<span style=\"color: green;\">Сохранено</span><script type=\"text/javascript\" language=\"javascript\">CloseWindow( 'banners' );</script>";
					}
						else
					{
						$code = stripslashes( $Board->DB['banners'][ $id ]['code'] );
						$position = intval( $Board->DB['banners'][ $id ]['sort'] );
		
echo <<<HTML

<form method="post" action="" name="LightWindowForm" onsubmit="formSubmit( 'LightWindowForm', 'banners/edit.banners.php', 'LightWindowStatus', 'status.gif', 'LightWindowStatus', 'off' ); return false;">
	<table width="100%" border="0">
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="30px">
			<td width="150px">Код баннера: *</td>
			<td>
				<textarea name="code" style="width: 98%; height: 150px;">{$code}</textarea>
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="30px">
			<td>Позиция</td>
			<td>
				<input type="text" name="sort" value="{$position}" style="text-align: center; width: 80px;" class="edit" />
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
	</table>
	<div style="text-align: right; padding: 10px 0px 0px 0px;">
		<span id="LightWindowStatus" style="padding: 0px 10px 0px 0px;"></span>
		<input type="hidden" name="id" value="{$id}" />
		<input type="submit" name="submit" value="Сохранить" class="edit" />
		<input type="button" value="Отмена" class="edit" onclick="OpenCloseLightWindow(); return false;" />
	</div>
</form>

HTML;

					}
			}
				else
			{
				echoReturn( "Баннера не существует, или он был удалён!" );
			}
	}
		else
	{
		echoReturn( "Не указан идентификатор баннера!" );
	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>